2019-08-24 02:45 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005453Spring engineGeneralpublic2017-04-17 14:06
ReporterGoogle_Frog 
Assigned To 
PrioritynormalSeveritytrivialReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version 
Summary0005453: 103.0.1-529-gb68830c out of memory with stacktrace
DescriptionPlayers have been playing on ridiculous lag maps. This infolog contains a stacktrace so I'm making this ticket on the slim chance that reporting this is useful: https://github.com/ZeroK-RTS/CrashReports/issues/17
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
related to 0005503resolvedKloot 103.0.1-712 failed to allocate memory 
related to 0005516resolved 103.0.1-747 Failed to allocate memory on load 
+Relationships

-Notes

~0017213

Kloot (developer)

rts/System/Platform/Win/CrashHandler.cpp:185
rts/System/Platform/Win/CrashHandler.cpp:347
/opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:58
rts/lib/assimp/code/JoinVerticesProcess.cpp:93
rts/lib/assimp/code/BaseProcess.cpp:80
rts/lib/assimp/code/Importer.cpp:802
rts/lib/assimp/code/Importer.cpp:717
rts/lib/assimp/include/assimp/Importer.hpp:648
rts/Rendering/Models/IModelParser.cpp:294
rts/Rendering/Models/IModelParser.cpp:261
rts/Rendering/Models/IModelParser.cpp:235
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/basic_string.h:293
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/future:1233
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/future:471
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:601
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/bits/atomic_base.h:428
rts/System/Threading/ThreadPool.cpp:171

this would probably also occur when playing the demo, at least on a machine with a sufficiently limited amount of memory.

~0017339

Anarchid (reporter)

I've been catching OOM's with 529 and 8 GB ram. This seemed to happen more often when using Chobby.

~0017340

Kloot (developer)

Last edited: 2017-02-15 14:25

View 2 revisions

it can happen after reloading a few times due to fragmentation which isn't terribly well-managed by the engine.

~0017463

Anonymous (viewer)

Fix b7cd10101c3fc00d2be0f3f848442b5ca17728d9 committed to develop branch: fix 0005516 0005453

maps are the worst offenders, models will have to wait, repo: spring changeset id: 8074
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-02-05 00:23 Google_Frog New Issue
2017-02-05 00:49 Kloot Note Added: 0017213
2017-02-15 14:11 Anarchid Note Added: 0017339
2017-02-15 14:23 Kloot Note Added: 0017340
2017-02-15 14:25 Kloot Note Edited: 0017340 View Revisions
2017-03-29 21:34 Kloot Relationship added related to 0005503
2017-04-16 23:21 Kloot Relationship added related to 0005516
2017-04-17 14:06 Changeset attached => spring develop b7cd1010
2017-04-17 14:06 Anonymous Note Added: 0017463
2017-04-17 14:06 Anonymous Status new => resolved
2017-04-17 14:06 Anonymous Resolution open => fixed
+Issue History